/* this is the header file for gamma and related functions. */

#ifndef gamma_h
#define gamma_h

#include <default.h>
#include <complex.h>

#define EULER 0.577216

double gamma_function(double z);
double gammln(double xx);
double factrl(int n);
double bico(int m, int k);
double beta(double z, double w);

double arg_gamma_1plusy(double y);

dcomplex Cgamma_function(dcomplex z);
dcomplex Cgammln(dcomplex xx);

#endif
